import { AxiosInstance } from "axios";
import Vue from "vue";

/**
 * 表格数据处理类
 */
export interface PageTable {
  autoLoad: Boolean;
  param: Any;
  log: Boolean;

  doLoad(): Promise;

  handleSort():void;

  handleLoad():void;

  handleReset():void;

  handleExport():void;
}

/**
 * 全局启动配置
 */
declare interface CcfConfig {
  config: Any;
  tabs: Any;
  init: Function;
  stores: Any;
  el: Element | String;
}

export const Ajax: AxiosInstance;

export const PageTable;

export default {
  /**
   * 启动全局
   * @param cfg 启动配置
   */
  bootstrap(cfg: CcfConfig): Vue {}
};
